"{ Package: 'jn:refactoring_custom' }"

TestCase subclass:#CustomVisitorCodeGeneratorAcceptVisitorTests
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Interface-Refactoring-Custom-Tests'
!

!CustomVisitorCodeGeneratorAcceptVisitorTests methodsFor:'tests'!

test_accept_visitor_method_generated

    | context codeGenerator aClass |

    codeGenerator := CustomVisitorCodeGeneratorAcceptVisitor new.
    aClass := TestClass.
    context := CustomSubContext new.
    context addSelectedClass: aClass.
    self assert:((aClass includesSelector:#acceptVisitor:) not).
    codeGenerator executeInContext:context.
    self assert:(aClass includesSelector:#acceptVisitor:).
    self assert: (aClass sourceCodeAt: #acceptVisitor:) = ('acceptVisitor:visitor 
    ^visitor sel:self') .

    aClass removeSelector:#acceptVisitor:.
    self assert:((aClass includesSelector:#acceptVisitor:) not).

    "Created: / 22-03-2014 / 21:05:45 / Jakub Nesveda <nesvejak@fit.cvut.cz>"
    "Modified: / 26-04-2014 / 00:25:04 / Jakub Nesveda <nesvejak@fit.cvut.cz>"
!

test_dummy

    self assert: 'a' = 'b'.

    "Created: / 22-03-2014 / 21:06:05 / Jakub Nesveda <nesvejak@fit.cvut.cz>"
! !

