"{ Package: 'jn:refactoring_custom' }"

CustomContext subclass:#CustomBrowserContext
	instanceVariableNames:'perspective state'
	classVariableNames:''
	poolDictionaries:''
	category:'Interface-Refactoring-Custom'
!


!CustomBrowserContext class methodsFor:'instance creation'!

perspective: perspective state: state
    ^ self new perspective: perspective state: state

    "Created: / 26-01-2014 / 11:00:38 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!CustomBrowserContext methodsFor:'accessing'!

perspective
    ^ perspective
!

perspective:perspectiveArg state:stateArg 
    perspective := perspectiveArg.
    state := stateArg.

    "Created: / 26-01-2014 / 11:00:56 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!CustomBrowserContext methodsFor:'accessing-selection'!

selectedClasses
    "Returns a set of classes currently selected in
     the browser"

    ^ state selectedClasses value

    "Created: / 26-01-2014 / 22:06:59 / Jan Vrany <jan.vrany@fit.cvut.cz>"
    "Modified: / 26-01-2014 / 23:39:27 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!CustomBrowserContext methodsFor:'enumerating'!

codeGeneratorsAndRefactoringDo:aBlock 
    "Evaluate a block on each generator and refactoring class available in my
     perspective.
     NOTE: the block gets class, not an instance of generator/refactoring"
    
    CustomManager current generatorsAndRefactoringsForPerspective:perspective
        do:aBlock

    "Created: / 26-01-2014 / 13:39:11 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!CustomBrowserContext class methodsFor:'documentation'!

version_HG

    ^ '$Changeset: <not expanded> $'
! !

